Data Inventory List Search (deprecated)

POST Search Inventory Lists

POST /inventory_list_search

Operation ID: Search Inventory Lists. Tags: inventory_list_search. Security: oauth2_application.

Searches for inventory lists.

The query attribute specifies a complex query that can be used to narrow down the search. This is the list of searchable attributes:

  • id - String

  • default_in_stock - boolean

  • description - String

  • on_order_inventory_enabled - boolean

  • status - one of {"normal","delete"}

  • use_bundle_inventory_only - boolean

This endpoint may return the following faults:

  • 400 - MalformedSearchParameterException - Thrown if the query is ill-formed.
  • 400 - MalformedSelectorException - Thrown if the given selector is invalid.

Request body (required)

Media type: application/json, text/xml. Schema: search_request.

Responses

  • 400 MalformedSearchParameterException - Thrown if the query is ill-formed. or MalformedSelectorException - Thrown if the given selector is invalid.

    Media type: application/json, text/xml. Schema: fault.

  • default

    Media type: application/json, text/xml. Schema: inventory_list_search_result.